> # NAME

> modf - decompose a float into integer and fractional parts

> # SYNOPSIS

>       float  modf(float  x, out float  i);
>       float1 modf(float1 x, out float1 i);
>       float2 modf(float2 x, out float2 i);
>       float3 modf(float3 x, out float3 i);
>       float4 modf(float4 x, out float4 i);

>       half   modf(half  x, out half  i);
>       half1  modf(half1 x, out half1 i);
>       half2  modf(half2 x, out half2 i);
>       half3  modf(half3 x, out half3 i);
>       half4  modf(half4 x, out half4 i);

>       fixed  modf(fixed  x, out fixed  i);
>       fixed1 modf(fixed1 x, out fixed1 i);
>       fixed2 modf(fixed2 x, out fixed2 i);
>       fixed3 modf(fixed3 x, out fixed3 i);
>       fixed4 modf(fixed4 x, out fixed4 i);

> # PARAMETERS

> x

>   Vector or scalar.

> i

>   Vector or scalar for integer part of x.

> # DESCRIPTION

> modf returns the integer and fractional parts of x.

> # REFERENCE IMPLEMENTATION

> # PROFILE SUPPORT

> modf is supported in all profiles except fp20.

> # SEE ALSO

> fmod, round